Pular para o conteúdo principal
GET
/
v1
/
governance
/
archives
List audit log archives
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/governance/archives \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-2a10-7dfe-b5c1-8a1b2c3d4e5f",
      "partitionName": "<string>",
      "dateRangeStart": "2023-11-07T05:31:56Z",
      "dateRangeEnd": "2023-11-07T05:31:56Z",
      "rowCount": 123,
      "compressedSizeBytes": 123,
      "status": "COMPLETE",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 20,
  "hasMore": true
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de consulta

limit
integer
padrão:20

The maximum number of items to include in the response.

Intervalo obrigatório: 1 <= x <= 200
offset
integer
padrão:0

The number of items to skip before returning results.

Intervalo obrigatório: x >= 0
from
string

Start date filter (YYYY-MM-DD or RFC 3339 format)

to
string

End date filter (YYYY-MM-DD or RFC 3339 format)

Resposta

List of audit log archives

Paginated list of audit log archives

items
object[]
limit
integer

Maximum items per page

Exemplo:

20

hasMore
boolean

Whether more results are available